package org.dive4elements.river.importer;

import java.math.BigDecimal;

import org.dive4elements.river.model.DischargeTable;
import org.dive4elements.river.model.DischargeTableValue;


public class ImportDischargeTableValue
{
    private BigDecimal q;
    private BigDecimal w;

    private DischargeTableValue peer;

    public ImportDischargeTableValue() {
    }


    public ImportDischargeTableValue(BigDecimal q, BigDecimal w) {
        this.q = q;
        this.w = w;
    }


    public DischargeTableValue getPeer(DischargeTable dischargeTable) {
        if (peer == null) {
            peer = ImporterSession.getInstance()
                .getDischargeTableValue(dischargeTable, q, w);
        }

        return peer;
    }
}
